OGRE: Ogre::D3D11BufferInterface Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::D3D11BufferInterface Class Reference

For D3D11, most (if not all) buffers, can be treated with the same code. More...

`#include <OgreD3D11BufferInterface.h>`

Inheritance diagram for Ogre::D3D11BufferInterface:
[legend]

## Public Member Functions
| D3D11BufferInterface (size_t vboPoolIdx, ID3D11Buffer *d3dBuffer, D3D11DynamicBuffer *dynamicBuffer)
| ~D3D11BufferInterface ()
void | _deleteInitialData (void)
void | _ensureDelayedImmutableBuffersAreReady (void)
void | _firstUpload (void *data)
| Only use this function for the first upload. More...
const void * | _getInitialData (void) const
virtual void | _notifyBuffer (BufferPacked *buffer)
void | _setVboName (size_t vboPoolIdx, ID3D11Buffer *vboName, size_t internalBufferStartBytes)
void | _setVboPoolIndex (size_t newVboPool)
virtual void | advanceFrame (void)
virtual void | copyTo (BufferInterface *dstBuffer, size_t dstOffsetBytes, size_t srcOffsetBytes, size_t sizeBytes)
BufferPacked * | getBufferPacked (void)
D3D11DynamicBuffer * | getDynamicBuffer (void) const
ID3D11Buffer * | getVboName (void) const
size_t | getVboPoolIndex (void)
virtual void *RESTRICT_ALIAS_RETURN | map (size_t elementStart, size_t elementCount, MappingState prevMappingState, bool advanceFrame=true)
virtual void | regressFrame (void)
virtual void | unmap (UnmapOptions unmapOption, size_t flushStartElem=0, size_t flushSizeElem=0)
void | upload (const void *data, size_t elementStart, size_t elementCount)

## Detailed Description

For D3D11, most (if not all) buffers, can be treated with the same code.

Hence most equivalent functionality is encapsulated here.

## Constructor & Destructor Documentation

## ◆ D3D11BufferInterface()

Ogre::D3D11BufferInterface::D3D11BufferInterface | ( | size_t | vboPoolIdx,
|  | ID3D11Buffer * | d3dBuffer,
|  | D3D11DynamicBuffer * | dynamicBuffer
| ) |  |

## ◆ ~D3D11BufferInterface()

Ogre::D3D11BufferInterface::~D3D11BufferInterface | ( |  | ) |

## Member Function Documentation

## ◆ _deleteInitialData()

void Ogre::D3D11BufferInterface::_deleteInitialData | ( | void |  | ) |

## ◆ _ensureDelayedImmutableBuffersAreReady()

void Ogre::D3D11BufferInterfaceBase::_ensureDelayedImmutableBuffersAreReady | ( | void |  | ) |
| virtualinherited

Reimplemented from Ogre::BufferInterface.

## ◆ _firstUpload()

void Ogre::D3D11BufferInterface::_firstUpload | ( | void * | data | ) |

Only use this function for the first upload.

## ◆ _getInitialData()

const void* Ogre::D3D11BufferInterface::_getInitialData | ( | void |  | ) | const
| inline

## ◆ _notifyBuffer()

virtual void Ogre::BufferInterface::_notifyBuffer | ( | BufferPacked * | buffer | ) |
| inlinevirtualinherited

Reimplemented in Ogre::NULLBufferInterface.

## ◆ _setVboName()

void Ogre::D3D11BufferInterface::_setVboName | ( | size_t | vboPoolIdx,
|  | ID3D11Buffer * | vboName,
|  | size_t | internalBufferStartBytes
| ) |  |

## ◆ _setVboPoolIndex()

void Ogre::D3D11BufferInterface::_setVboPoolIndex | ( | size_t | newVboPool | ) |
| inline

## ◆ advanceFrame()

virtual void Ogre::D3D11BufferInterface::advanceFrame | ( | void |  | ) |
| virtual

Implements Ogre::BufferInterface.

## ◆ copyTo()

virtual void Ogre::D3D11BufferInterfaceBase::copyTo | ( | BufferInterface * | dstBuffer,
|  | size_t | dstOffsetBytes,
|  | size_t | srcOffsetBytes,
|  | size_t | sizeBytes
| ) |  |
| virtualinherited

Implements Ogre::BufferInterface.

## ◆ getBufferPacked()

BufferPacked* Ogre::BufferInterface::getBufferPacked | ( | void |  | ) |
| inlineinherited

## ◆ getDynamicBuffer()

D3D11DynamicBuffer* Ogre::D3D11BufferInterface::getDynamicBuffer | ( | void |  | ) | const
| inline

## ◆ getVboName()

ID3D11Buffer* Ogre::D3D11BufferInterfaceBase::getVboName | ( | void |  | ) | const
| inlineinherited

References Ogre::ComPtr< T >::Get().

## ◆ getVboPoolIndex()

size_t Ogre::D3D11BufferInterfaceBase::getVboPoolIndex | ( | void |  | ) |
| inlineinherited

## ◆ map()

virtual void* RESTRICT_ALIAS_RETURN Ogre::D3D11BufferInterface::map | ( | size_t | elementStart,
|  | size_t | elementCount,
|  | MappingState | prevMappingState,
|  | bool | advanceFrame = `true`
| ) |  |
| virtual

Implements Ogre::BufferInterface.

## ◆ regressFrame()

virtual void Ogre::D3D11BufferInterface::regressFrame | ( | void |  | ) |
| virtual

Implements Ogre::BufferInterface.

## ◆ unmap()

virtual void Ogre::D3D11BufferInterface::unmap | ( | UnmapOptions | unmapOption,
|  | size_t | flushStartElem = `0`,
|  | size_t | flushSizeElem = `0`
| ) |  |
| virtual

Implements Ogre::BufferInterface.

## ◆ upload()

void Ogre::BufferInterface::upload | ( | const void * | data,
|  | size_t | elementStart,
|  | size_t | elementCount
| ) |  |
| inherited

The documentation for this class was generated from the following file:

- OgreD3D11BufferInterface.h